Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.lang
Class Character

Method Summary
`int` | `compareTo(Number right)` Compare a Character and a Number
`int` | `compareTo(Character right)` Compare two Characters
`Number` | `div(Number right)` Divide a Character by a Number
`Number` | `div(Character right)` Divide two Characters
`Number` | `intdiv(Number right)` Integer Divide a Character by a Number
`Number` | `intdiv(Character right)` Integer Divide two Characters
`Number` | `minus(Number right)` Subtract a Number from a Character
`Number` | `minus(Character right)` Subtraction two Characters
`Number` | `multiply(Number right)` Multiply a Character by a Number
`Number` | `multiply(Character right)` Multiply two Characters
`Number` | `next()` Increment a Character by one
`Number` | `plus(Number right)` Add a Character and a Number This operation will always create a new object for the result, while the operands remain unchanged
`Number` | `plus(Character right)` Add two Characters This operation will always create a new object for the result, while the operands remain unchanged
`Number` | `previous()` Decrement a Character by one

Method Detail

### compareTo

    public int compareTo(Number right)

  Compare a Character and a Number.

Parameters:
  `right` - a Number.
Returns:
  the result of the comparison

### compareTo

    public int compareTo(Character right)

  Compare two Characters.

Parameters:
  `right` - a Character.
Returns:
  the result of the comparison

### div

    public Number div(Number right)

  Divide a Character by a Number.

Parameters:
  `right` - a Number.
Returns:
  the multiplication of both

### div

    public Number div(Character right)

  Divide two Characters.

Parameters:
  `right` - another Character.
Returns:
  the multiplication of both

### intdiv

    public Number intdiv(Number right)

  Integer Divide a Character by a Number.

Parameters:
  `right` - a Number.
Returns:
  the integer division of both

### intdiv

    public Number intdiv(Character right)

  Integer Divide two Characters.

Parameters:
  `right` - another Character.
Returns:
  the integer division of both

### minus

    public Number minus(Number right)

  Subtract a Number from a Character.

Parameters:
  `right` - a Number.
Returns:
  the addition of the Character and the Number

### minus

    public Number minus(Character right)

  Subtraction two Characters.

Parameters:
  `right` - a Character.
Returns:
  the addition of both Characters

### multiply

    public Number multiply(Number right)

  Multiply a Character by a Number.

Parameters:
  `right` - a Number.
Returns:
  the multiplication of both

### multiply

    public Number multiply(Character right)

  Multiply two Characters.

Parameters:
  `right` - another Character.
Returns:
  the multiplication of both

### next

    public Number next()

  Increment a Character by one.

Returns:
  an incremented Number

### plus

    public Number plus(Number right)

  Add a Character and a Number. This operation will always create a new object for the result, while the operands remain unchanged.

Parameters:
  `right` - a Number.
Returns:
  the addition of the Character and the Number

### plus

    public Number plus(Character right)

  Add two Characters. This operation will always create a new object for the result, while the operands remain unchanged.

Parameters:
  `right` - a Character.
Returns:
  the addition of both Characters

### previous

    public Number previous()

  Decrement a Character by one.

Returns:
  a decremented Number

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK